summaryrefslogtreecommitdiff
path: root/da5-notebooks
diff options
context:
space:
mode:
authorMatt Rendina <rendinam@users.noreply.github.com>2018-12-18 22:04:50 -0500
committerGitHub <noreply@github.com>2018-12-18 22:04:50 -0500
commit266c083bd930991965850bb8e2a19f23d8575fa8 (patch)
tree5b5c55d86d62f8d68d48f343a90600b26ea6898a /da5-notebooks
parent51b4a109f6ea2f4ae5ebfbfb77bdaf9d8dcb358e (diff)
downloadastroconda-contrib-266c083bd930991965850bb8e2a19f23d8575fa8.tar.gz
Rename recipe directory to be same as repo and package name. (#449)
Diffstat (limited to 'da5-notebooks')
-rw-r--r--da5-notebooks/build.sh15
-rw-r--r--da5-notebooks/meta.yaml20
2 files changed, 35 insertions, 0 deletions
diff --git a/da5-notebooks/build.sh b/da5-notebooks/build.sh
new file mode 100644
index 0000000..c389c70
--- /dev/null
+++ b/da5-notebooks/build.sh
@@ -0,0 +1,15 @@
+if [[ -z ${PKG_NAME} ]]; then
+ echo "Conda build has changed out from under you. PKG_NAME is undefined..."
+ exit 1
+fi
+
+pkg_name=$(echo ${PKG_NAME} | tr '-' '_')
+dest="${PREFIX}/share/${pkg_name}"
+usedir="$(pwd)"
+
+if [[ -d ${usedir}/work ]]; then
+ usedir=${usedir}/work
+fi
+
+mkdir -p "${dest}"
+rsync -a "${usedir}"/notebooks/ "${dest}"/
diff --git a/da5-notebooks/meta.yaml b/da5-notebooks/meta.yaml
new file mode 100644
index 0000000..deccdc3
--- /dev/null
+++ b/da5-notebooks/meta.yaml
@@ -0,0 +1,20 @@
+{% set name = 'da5-notebooks' %}
+{% set version = '1.0' %}
+{% set tag = 'v' + version %}
+{% set number = '0' %}
+
+about:
+ home: https://github.com/spacetelscope/{{ name }}
+ license: BSD
+ summary: Collection of data analysis notebooks
+
+build:
+ number: {{ number }}
+
+package:
+ name: {{ name }}
+ version: {{ version }}
+
+source:
+ git_tag: {{ tag }}
+ git_url: https://github.com/spacetelescope/{{ name }}.git